"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.AWSLambdaRouter = void 0;
const AbstractRouter_1 = require("./AbstractRouter");
class AWSLambdaRouter extends AbstractRouter_1.AbstractRouter {
    beforeRoute(_event, _context, _path, _method) {
        return;
    }
    onUnknown(_event, { response }, _path, _method) {
        return response(404, { message: 'Resource not found' });
    }
}
exports.AWSLambdaRouter = AWSLambdaRouter;
